/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

export default function propsTransformer({portletNamespace, ...otherProps}) {
	return {
		...otherProps,
		onActionButtonClick: (event, {item}) => {
			if (item?.data?.action === 'unsubscribe') {
				const form = document.getElementById(`${portletNamespace}fm`);

				if (!form) {
					return;
				}

				form.setAttribute('method', 'post');

				const subscriptionIds = form.querySelector(
					`#${portletNamespace}subscriptionIds`
				);

				if (subscriptionIds) {
					subscriptionIds.setAttribute(
						'value',
						Liferay.Util.listCheckedExcept(
							form,
							`${portletNamespace}allRowIds`
						)
					);
				}

				submitForm(form);
			}
		},
	};
}
